{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/userFavoritesStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-thumbs-up fa-lg"></i> {% trans 'FavoritesNodes' %} </a>
            </div> 
            
            <div class='tab' id='favoritesNode'>
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Displayname' %}</th>
                            <th>{% trans 'Parent' %}</th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for node in favoriteNodes %}
                            <tr>
                                <td> {{ node.displayname }} </td>
                                <td> {% trans node.parentDisplayname %} </td>
                                <td>  <a href="javascript:editFavoritesNode('{{ owner }}', '{{ node.uuid }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td> 
                                    <a href="/user/{{ owner }}/favorites/deleteNode/{{ node.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a>       
                                </td>
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='4'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addFavoritesNode').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addFavoritesNode' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New FavoritesNode -->
    <div id="addFavoritesNode" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddFavoritesNode()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/user/favorites/addNode">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Folder Name" name="displayname" required>
          
            <label><b>{% trans 'Parent' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='parent' id='parent'>
                <option value='Root'> {% trans 'Root' %}</option>
                {% for node in favoriteNodes %}
                   <option value='{{ node.uuid }}'> {{ node.displayname }} </option>                
                {% endfor %}

            </select>
          
            <input type='hidden' name='uuid' value='' > 
            
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddFavoritesNode()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing FavoritesNode -->
    <div id="editFavoritesNode" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelEditFavoritesNode()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form  class="w3-container"  method="POST"  action="/user/favorites/updateFavoritesNode">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" id="editDisplayname"  name="displayname" value='' required>
          
            <label><b>{% trans 'Parent' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" id='editParent' name='parent' >
                <option value='Root'> {% trans 'Root' %}</option>
                {% for node in favoriteNodes %}
                   <option value='{{ node.uuid }}'> {{ node.displayname }} </option>                
                {% endfor %}
            </select>
            <input type="hidden"  name='uuid' id='uuid' value=''>
            <input type="hidden"  name='owner' id='owner' value='{{ owner }}'>
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelEditFavoritesNode()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 

{% endblock %}
